# getAdditionalData

abstract fun getAdditionalData(): AdditionalData

Returns the additional data associated with this problem. There are 2 possible types for additional data:

- CustomAdditionalData - custom additional data attached to a problem by using additionalData.
- AdditionalData - additional data attached to the problem.

to determine the type of additional data `instanceof` can be used.

#### Return

the additional data

#### Since

8.12